# HAM : fetch geoip info based on IP

set ip [ns_conn peeraddr]
set user_id [ad_conn user_id]
# ns_log Notice "HAM : $ip : $user_id"

# check if we already have the longitude and
# latitude for the given ip

if { ![db_0or1row "ipexists" "select id from mashup_geoip where ip=:ip"] } {
	# does not exist yet
	# let's get all the info and generate an id
	set id [mashup::geoip::recordvisit -ip $ip -user_id $user_id -norecord]
}

# at this point we have the id
# let's fetch the data associated with it

db_1row "getinfo" "select city, countryname, countryabbrev, longitude, latitude from mashup_geoip where id=:id"

# get a nice picture of the flag
set flag [mashup::geoip::getflag -ip $ip]